Announcement

Collapse
No announcement yet.

Unreal Engine 4.25 released!

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #31
    Anyone else having problems with the singlelayerwater shading model?, just switching to it crashes de AMD graphics driver for me.

    Comment


      #32
      Quest hand tracking officially supported in 4.25?

      Comment


        #33
        Great update, Sony’s PlayStation 5 and Microsoft’s Xbox Series X as first-class platforms, and throughout the year we will be updating the 4.25-Plus branch with optimizations
        Learn More

        Comment


          #34
          Very excited by this update!

          Don't know if it's just me, but using Android Studio 3.5.3 and the install procedure described here does not work out of the box.
          Had to remove some entries in my path causing errors with SetupAndroid.bat (Windows 10), and now I'm trying to run it again after having removed "lldb;3.1" from the list of packages called by the sdk-manager (around line 83). lldb;3.1 does not seem to be a package available with this android studio version.

          Update: Removing "lldb;3.1" did the trick for SetupAndroid.bat (line 83).

          Update2 : it seems to fail when building specific epic java code related to google billing api. I did not configure Google PlayStore and do not need/want to. Don't know if it's because of that. Still investigating.
          The main error: Z:\app\src\main\java\com\epicgames\ue4\GooglePlayStoreHelper.java:19: error: package com.android.billingclient.api does not exist
          May be related:
          Code:
          UATHelper: Packaging (Android (ASTC)):   File ..//Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/Lib/armeabi-v7a/libOVRMrcLib.so does not exist, not copied!
          UATHelper: Packaging (Android (ASTC)):  
          UATHelper: Packaging (Android (ASTC)):   File ..//Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/VrApi.jar does not exist, not copied!
          UATHelper: Packaging (Android (ASTC)):  
          UATHelper: Packaging (Android (ASTC)):   File ..//Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/SystemUtils.jar does not exist, not copied!
          Last edited by LNaej; 05-06-2020, 11:46 AM.

          Comment


            #35
            Originally posted by LNaej View Post
            Very excited by this update!

            Don't know if it's just me, but using Android Studio 3.5.3 and the install procedure described here does not work out of the box.
            Had to remove some entries in my path causing errors with SetupAndroid.bat (Windows 10), and now I'm trying to run it again after having removed "lldb;3.1" from the list of packages called by the sdk-manager (around line 83). lldb;3.1 does not seem to be a package available with this android studio version.
            So, the script finished to execute with success, now I will check if it packages correctly. Will updated here if it can help other people.

            Update: it seems to fail when building specific epic java code related to google billing api. I did not configure Google PlayStore and do not need/want to. Don't know if it's because of that. Still investigating.
            I had the same issue with "lldb;3.1" and managed to "fix" it by removing it from the SetupAndroid.bat. ( Thanks LNaej ! )
            I did not configure Google PlayStore either.
            Using the HandheldAR Template I managed to Package for Android ETC2 with no warnings and no errors. I also tested it on my device and it worked fine.

            Comment


              #36
              Originally posted by Tim Hobson View Post
              It's on our radar to document when it's a more complete feature though.
              Hey Tim, are there any plans for the documentation of Variadic Blueprint functions? It sounds really interesting but was not able to find any examples in the source code.
              Game Programmer at Zen Studios and founder of Rapax Games
              LinkedIn, Engine Contributions, Marketplace
              Polars (WIP), Game Jam Projects

              Comment


                #37
                sad, still no datasmith export for 3ds max 20121. no quixel bridge for UE4.25, no substance for UE4.25. For me, currently UE4.25 is useless for me!

                Comment


                  #38
                  Originally posted by Danjisan View Post

                  I had the same issue with "lldb;3.1" and managed to "fix" it by removing it from the SetupAndroid.bat. ( Thanks LNaej ! )
                  I did not configure Google PlayStore either.
                  Using the HandheldAR Template I managed to Package for Android ETC2 with no warnings and no errors. I also tested it on my device and it worked fine.
                  Thanks for your feedback! Following what you said, I tried with the HandheldAR template and indeed the error is not there. However, in this template, OnlineSubsystemGooglePlay plugin is enabled. Will test on my project to see if it's working with it.
                  I just checked the patch note and indeed the billing api support is new in 4.25, so maybe some default build settings is wrongly configured.

                  Update: well that's it, if OnlineSubsystemGooglePlay is there, it's working. Seems like a bug to me.

                  Update2: So, in Engine\Plugins\Online\Android\OnlineSubsystemGooglePlay\Source\OnlineSubsystemGooglePlay_UPL.xml there is the following code:
                  Code:
                      <!-- gradle dependencies additions -->
                      <buildGradleAdditions>
                          <insert>
                              dependencies {
                              implementation 'com.android.billingclient:billing:2.0.3'
                              }
                          </insert>
                      </buildGradleAdditions>
                  So the problem seems to be that either this code should be in the basic Android build setup, either if google play is disabled, Engine/Build/Android/Java/src/com/epicgames/ue4/GooglePlayStoreHelper.java (referencing the billing api in the first place and responsible of the android build to fail) should be left out of the build.
                  Last edited by LNaej; 05-06-2020, 08:21 AM.

                  Comment


                    #39
                    Hi Epic team!
                    SetupAndroid.bat doesn't work! ("lldb;3.1" is not available, at least for Android Studio 3.5.3; I wasted whole day installing and re-installing Android Studio, trying to figure out what's wrong)

                    Comment


                      #40
                      Apollo1444 remove "lldb;3.1" from line ~83 in SetupAndroid.bat, it should work.

                      Comment


                        #41
                        According to release notes "The Chaos physics system is now in active use on shipping seasons of Fortnite. " Fortnite runs on Android/IOS. Does it mean Chaos can be used on mobile platforms now?

                        Comment


                          #42
                          Originally posted by LNaej View Post
                          Apollo1444 remove "lldb;3.1" from line ~83 in SetupAndroid.bat, it should work.
                          But there's a reson why Epic devteam made that "lldb;3.1" sdk mandatory?
                          How it will affect working with UE4 Android projects?

                          Comment


                            #43
                            Originally posted by LNaej View Post
                            Apollo1444 remove "lldb;3.1" from line ~83 in SetupAndroid.bat, it should work.
                            Thanks for that.
                            In addition, I came from 4.24, I also had to de-install Codeworks, restart, manually remove Environment variables for NVPACK and NDK because they were still there - restart - all before I started to install AndroidStudio.

                            Comment


                              #44
                              Is Chaos in 4.25? Does it have to be compiled. How?
                              Last edited by theProfessor; 05-06-2020, 12:01 PM.

                              Comment


                                #45
                                Originally posted by LNaej View Post
                                Apollo1444 remove "lldb;3.1" from line ~83 in SetupAndroid.bat, it should work.
                                Yes. It definitely runs the setup. Thanks!
                                Michael Hegemann - https://twitter.com/HegiDev

                                Marketplace Content
                                Easy Multi Save
                                Mobile Touch Navigation
                                Retro 3D Toolkit

                                Comment

                                Working...
                                X